Eclipse Platform Release 3.7

## org.eclipse.team.core.synchronize
Class FastSyncInfoFilter.SyncInfoChangeTypeFilter

    java.lang.Object
      org.eclipse.team.core.synchronize.SyncInfoFilter
          org.eclipse.team.core.synchronize.FastSyncInfoFilter
              org.eclipse.team.core.synchronize.FastSyncInfoFilter.SyncInfoChangeTypeFilter

Enclosing class:
  FastSyncInfoFilter

    public static class FastSyncInfoFilter.SyncInfoChangeTypeFilter

extends FastSyncInfoFilter

Selects `SyncInfo` whose change type match those of the filter.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.team.core.synchronize.FastSyncInfoFilter
`FastSyncInfoFilter.AndSyncInfoFilter, FastSyncInfoFilter.AutomergableFilter, FastSyncInfoFilter.CompoundSyncInfoFilter, FastSyncInfoFilter.OrSyncInfoFilter, FastSyncInfoFilter.PseudoConflictFilter, FastSyncInfoFilter.SyncInfoChangeTypeFilter, FastSyncInfoFilter.SyncInfoDirectionFilter`

Nested classes/interfaces inherited from class org.eclipse.team.core.synchronize.SyncInfoFilter
`SyncInfoFilter.ContentComparisonSyncInfoFilter`

Constructor Summary
`FastSyncInfoFilter.SyncInfoChangeTypeFilter(int change)` Create a filter that will match `SyncInfo` whose change type match that passed as an argument to this constructor.
`FastSyncInfoFilter.SyncInfoChangeTypeFilter(int[] changeFilters)` Create a filter that will match `SyncInfo` whose change type match those passed as arguments to this constructor.

Method Summary
`boolean` `select(SyncInfo info)` Return whether the provided `SyncInfo` matches the filter.

Methods inherited from class org.eclipse.team.core.synchronize.FastSyncInfoFilter
`getDirectionAndChangeFilter, select`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FastSyncInfoFilter.SyncInfoChangeTypeFilter

    public FastSyncInfoFilter.SyncInfoChangeTypeFilter(int[] changeFilters)

  Create a filter that will match `SyncInfo` whose change type match those passed as arguments to this constructor.

  Parameters:
    `changeFilters` - the array of change types (`SyncInfo.ADDITION`, `SyncInfo.DELETION` and `SyncInfo.CHANGE`) that this filter match

### FastSyncInfoFilter.SyncInfoChangeTypeFilter

    public FastSyncInfoFilter.SyncInfoChangeTypeFilter(int change)

  Create a filter that will match `SyncInfo` whose change type match that passed as an argument to this constructor.

  Parameters:
    `change` - the change type (`SyncInfo.ADDITION`, `SyncInfo.DELETION` and `SyncInfo.CHANGE`) that this filter matches

Method Detail

### select

    public boolean select(SyncInfo info)

  Description copied from class: `FastSyncInfoFilter`
  Return whether the provided `SyncInfo` matches the filter. The default behavior it to include resources whose syncKind is non-zero.

  Overrides:
    `select` in class `FastSyncInfoFilter`
  Parameters:
    `info` - the `SyncInfo` being tested
  Returns:
    `true` if the `SyncInfo` matches the filter

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.